Survey.StylesManager.applyTheme("modern");
var json = { elements: [
{
type: "dropdown",
name: "country",
title: "Select the country...",
isRequired: true,
choicesByUrl: {
"url": "https://surveyjs.io/api/CountriesExample",
"valueName": "name"
}
},
{
type: "panel",
name: "panel_countriesByRegion",
title: "Show countries by region",
elements: [{
type: "dropdown",
name: "region",
title: "Select the region...",
choices: ["Africa", "Americas", "Asia", "Europe", "Oceania"]
}, {
type: "dropdown",
name: "reg_country",
title: "Select the country...",
isRequired: true,
choicesByUrl: {
"url": "https://surveyjs.io/api/CountriesExample?region={region}",
"valueName": "name"
}
}]
}
]};
window.survey = new Survey.Model(json);
survey.onComplete.add(function(sender) {
document.querySelector('#surveyResult').textContent =
"Result JSON:\n" + JSON.stringify(sender.data, null, 3);
});
$("#surveyElement").Survey({
model: survey
});
<!DOCTYPE html>
<html lang="en">
<head>
<title>Dropdownrestful, jQuery Survey Library Example</title>
<meta name="viewport" content="width=device-width" />
<script src="https://unpkg.com/jquery"></script>
<script src="/DevBuilds/survey-jquery/survey.jquery.min.js"></script>
<link href="/DevBuilds/survey-core/modern.min.css" type="text/css" rel="stylesheet" />
<link rel="stylesheet" href="./index.css">
</head>
<body>
<div id="surveyElement" style="display:inline-block;width:100%;">
</div>
<div id="surveyResult"></div>
<script type="text/javascript" src="./index.js"></script>
</body>
</html>

Survey.StylesManager.applyTheme("modern");
var json = { elements: [
{
type: "dropdown",
name: "country",
title: "Select the country...",
isRequired: true,
choicesByUrl: {
"url": "https://surveyjs.io/api/CountriesExample",
"valueName": "name"
}
},
{
type: "panel",
name: "panel_countriesByRegion",
title: "Show countries by region",
elements: [{
type: "dropdown",
name: "region",
title: "Select the region...",
choices: ["Africa", "Americas", "Asia", "Europe", "Oceania"]
}, {
type: "dropdown",
name: "reg_country",
title: "Select the country...",
isRequired: true,
choicesByUrl: {
"url": "https://surveyjs.io/api/CountriesExample?region={region}",
"valueName": "name"
}
}]
}
]};
window.survey = new Survey.Model(json);
survey.onComplete.add(function(sender) {
document.querySelector('#surveyResult').textContent =
"Result JSON:\n" + JSON.stringify(sender.data, null, 3);
});
ReactDOM.render(
<SurveyReact.Survey model={survey} />, document.getElementById("surveyElement"));
<!DOCTYPE html>
<html lang="en">
<head>
<title>Dropdownrestful, Reactjs Survey Library Example</title>
<meta name="viewport" content="width=device-width" />
<script src="https://unpkg.com/react@17.0.1/umd/react.production.min.js"></script>
<script src="https://unpkg.com/react-dom@17.0.1/umd/react-dom.production.min.js"></script>
<script src="https://unpkg.com/@babel/standalone@7.2.5/babel.min.js"></script>
<script src="/DevBuilds/survey-core/survey.core.min.js"></script>
<script src="/DevBuilds/survey-core/survey.i18n.min.js"></script>
<script src="/DevBuilds/survey-react-ui/survey-react-ui.min.js"></script>
<link href="/DevBuilds/survey-core/modern.min.css" type="text/css" rel="stylesheet" />
<link rel="stylesheet" href="./index.css">
</head>
<body style="margin: 0">
<div id="surveyElement" style="display:inline-block;width:100%;">
</div>
<div id="surveyResult"></div>
<script type="text/babel" src="./index.js"></script>
</body>
</html>
Help us serve you better by taking this brief survey.
We are interested to learn more about your
experience of using our libraries.
We'd really appreciate your feedback.
Start the SurveyApproximate time to complete: 2 min.